Subject: Re: [homenet] WiFi bridging [was Routing protocol comparison document]

From: Teco Boot <[email-masked]>
Date: Mon, 2 Mar 2015 17:52:35 +0100

The discusion on good support for WiFi networks at homes is important and shall not be put aside because it is difficult. The outcome could have an impact of selection of the homenet routing protocol, caused by a requirement to support layer-2 topologies. I suggest to add a section om this in draft-mrw-homenet-rtg-comparison.

RFC 7368 section 3.3.2. (Largest Practical Subnets) and 3.2.5. (Mobility Support) gives good guidance. End of 3.2.5:

   It is desirable that the homenet supports internal
   device mobility.  To do so, the homenet may either extend the reach
   of specific wireless subnets to enable wireless roaming across the
   home (availability of a specific subnet across the home) or support
   mobility protocols to facilitate such roaming where multiple subnets
   are used.

Modern WiFi stacks provide seamless roaming within an extended infrastructure BSS (802.11r). For AP's: it is in hostapd. But because the user unfriendly configuration, it is hardly used. Maybe HNCP could play a role here, to keep configuration of AP's in sync.

Still the choice to make: 
1) use a central WiFi controller (e.g. capwap). WiFi frames between AP and controller are tunneled in IP.
2) use normal AP's with bridging, with a VLAN for each SSID.

Option 2 needs something like TRILL or .1aq Shortest Path Bridging. Both use ISIS. SPB overview was presented in March 2013.
http://www.ietf.org/proceedings/86/slides/slides-86-homenet-6.pdf

Teco

> Op 28 feb. 2015, om 19:38 heeft Curtis Villamizar <[email-masked]> het volgende geschreven:
> 
> In message <[email-masked]>
> Michael Richardson writes:
> 
>> Ray Hunter <[email-masked]> wrote:
>>> I agree that WiFi roaming is a problem that needs addressing in
>>> Homenet.
>> 
>> Yes, but can we rule it out of scope for now?
>> 
>> Can we agree that it's not strictly a routing problem, and that the set of
>> solutions that we are considering could be used, and that we could also
>> explain how to do something like automatically setup capwap using HNCP for
>> discovery, but that we don't have the head-of-queue block on this item for
>> now?
>> 
>> --
>> Michael Richardson <[email-masked]>, Sandelman Software Works
>> -= IPv6 IoT consulting =-
> 
> 
> Perhaps consider it two problems, roaming within an administrative
> domain and roaming into another administrative doamin.
> 
> The latter is harder to solve.
> 
> Other than bridging all of the AP within an administrative domain,
> there is no way to support the former without at least some host
> change.  As I mentioned before, I favor putting a /128 on the
> loopback and having the routers/APs forward to the interface address
> of the moment to that /128.
> 
> Curtis
> 
> _______________________________________________
> homenet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/homenet